> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a single custom API tool by its slug.

# Get API Tool

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/api-tools/{slug}
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/api-tools/{slug}:
    get:
      tags:
        - Agent Builder API Tools
      summary: Get API Tool
      description: >-
        Retrieves a specific API tool by its slug. Use this endpoint to inspect
        an API tool's configuration, parameters, and connected agents.
      operationId: ApiToolsController_getApiToolBySlug
      parameters:
        - name: slug
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: API tool details
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    example: myapp_my-api-tool
                  appId:
                    type: string
                    example: my-app-id
                  slug:
                    type: string
                    example: my-api-tool
                  name:
                    type: string
                    example: My API Tool
                  description:
                    type: string
                    example: Calls an external API
                  icon:
                    type: string
                    example: https://example.com/icon.png
                  endpoint:
                    type: string
                    example: https://api.example.com/search
                  method:
                    type: string
                    example: GET
                  enableBasicAuth:
                    type: boolean
                    example: false
                  headers:
                    type: string
                    nullable: true
                    example: '{"Content-Type":"application/json"}'
                  bodyTemplate:
                    type: string
                    nullable: true
                    example: '{"query":"{{query}}"}'
                  allowAdditionalProperties:
                    type: boolean
                    example: false
                  parameters:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          example: query
                        type:
                          type: string
                          example: string
                        description:
                          type: string
                          example: The search query
                        required:
                          type: boolean
                          example: true
                  tool:
                    type: object
                    properties:
                      name:
                        type: string
                        example: my-api-tool
                      description:
                        type: string
                        example: Calls an external API
                      parameters:
                        type: object
                        example:
                          type: object
                          properties: {}
                          required: []
                  createdAt:
                    type: number
                    example: 1700000000000
                  updatedAt:
                    type: number
                    example: 1700000000000
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````